Subject: Re: [apps-discuss] Apps-team review of draft-ietf-geopriv-arch-02

From: "Vijay K. Gurbani" <[email-masked]>
Date: Tue, 12 Oct 2010 08:27:28 -0500

On 10/12/2010 05:13 AM, Alissa Cooper wrote:
> Hi Vijay,
>
> Thanks for your review and apologies for the delayed reply. I've
> incorporated changes based on your suggestions into the new draft, which
> is at http://tools.ietf.org/html/draft-ietf-geopriv-arch-03.txt (the
> diff is at
> http://tools.ietf.org/wg/geopriv/draft-ietf-geopriv-arch/draft-ietf-geopriv-arch-03-from-02.diff.html).
> I have just a couple of notes of clarification inline:

Alissa: Your resolution are fine with me.  Thanks for attending
to these and I have no further follow-ups.

Cheers,

- vijay
-- 
Vijay K. Gurbani, Bell Laboratories, Alcatel-Lucent
1960 Lucent Lane, Rm. 9C-533, Naperville, Illinois 60566 (USA)
Email: vkg@{alcatel-lucent.com,bell-labs.com,acm.org}
Web:   http://ect.bell-labs.com/who/vkg/

---

From: Alissa Cooper <[email-masked]>
Date: Tue, 12 Oct 2010 11:13:44 +0100

Hi Vijay,

Thanks for your review and apologies for the delayed reply. I've  
incorporated changes based on your suggestions into the new draft,  
which is at http://tools.ietf.org/html/draft-ietf-geopriv-arch-03.txt  
(the diff is at http://tools.ietf.org/wg/geopriv/draft-ietf-geopriv-arch/draft-ietf-geopriv-arch-03-from-02.diff.html) 
. I have just a couple of notes of clarification inline:

On Sep 9, 2010, at 10:45 PM, Vijay K. Gurbani wrote:

> Minor issues:
> -------------
> 1) In S2.2 you state that a LO can contain geodetic or civic
> location data.  Common sense argues that they should be the
> same in the sense that they point to the same physical
> location.  However, is there a requirement to that effect in
> the document (if there is, please disregard.  But I do not
> recall reading such a requirement)?  What if they are different?

In the paragraph you reference I added a reference to RFC5491, which  
provides some considerations for including multiple locations in one LO.

>
> 2) In Figure 3, there is a vertical line from LG to Device.
> What information is sent on that interface?  It is clear that
> the vertical line from the Device to LG is sending some manner
> of positioning data that the device wants to transmit.  But
> I am not sure what information the vertical line from LG to Device
> carries.
>
> There is some text later on --- on the top of page 15 --- that
> says "The LG provides assistance data to the Device".  If so,
> then a label containing this information should be placed
> in Figure 3.

We are using the term "positioning data" loosely to cover both  
measurements and assistance data. I made this more clear by inserting  
the word "positioning" before "information" at the top of page 16.

>
> Nits:
> ------
> 1) S2.2, "Device" definition: Do you mean "The physical device ..."
> when you wrote "The technical device ..."?
>
> 2)  S3.2.2, opening sentence.  "Some performing ..." What is the
> object there?  Some what?
>

Fixed both of these.

Thanks,
Alissa